/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "browser.h"

// Default Browser constructor. The browser manages the notebook pages that
// appear on the left side of the application. It is a derived class of
// the Gtk::Notebook class
Browser::Browser()
{
  files = new BrowserFiles();
  append_page(*files, "Project");
}

// Get the Gtk::TreeView object found in the project files class instance.
// In this case, the instance is that of BrowserFiles
Gtk::TreeView* Browser::get_files()
{ return files->get_treeview();
}

// Get the BrowserFiles class instance because it is actually a class derived
// from the Gtk::ScrolledWindow class. In essence, you are retrieving a
// pointer to a scrolled window.
BrowserFiles* Browser::get_files_swin()
{ return files;
}

// Call the function that populates the project files treeview. This receives
// a pointer to the projects settings class that includes all of the project
// files. It calls BrowserFiles' population function.
void Browser::populate_files(ProjectSettings *project)
{ files->populate_treeview(project);
}
