/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef BROWSERFILES_H
#define BROWSERFILES_H

#include "project.h"

#include <gtkmm/scrolledwindow.h>
#include <gtkmm/treeview.h>
#include <gtkmm/treestore.h>

// Class to add column to the project files TreeView
class ModelFilesColumns : public Gtk::TreeModel::ColumnRecord
{
public:
  ModelFilesColumns()  { add(col_text); }
  Gtk::TreeModelColumn<Glib::ustring> col_text;
};

// BrowserFiles class that manages the project files notebook tab
class BrowserFiles : public Gtk::ScrolledWindow
{
public:
  BrowserFiles();

  Gtk::TreeView* get_treeview();
  void populate_treeview (ProjectSettings*);

private:
  Gtk::TreeView *treeview;
};

#endif
