/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "notebooktab.h"

// Initialize the objects for the new tab. This receives the short filename
// of the file to set the label to
void NotebookTab::initialize_objects(Glib::ustring filename)
{
  textview = new Gtk::SourceView();
  swin = new Gtk::ScrolledWindow();
  label = new Gtk::Label(filename);
  image = new Gtk::Image(Gtk::StockID("gtk-close"), Gtk::IconSize(1));
  hbox = new Gtk::HBox(false, 0);
  button = new Gtk::Button();
  
  set_object_properties();  
  show_all_objects();
}

// Set the properties of all of the objects in the tab.
void NotebookTab::set_object_properties()
{
  // Create the textview & add it to the scrolled window
	textview->set_editable(true);
  textview->set_left_margin(2);
  swin->set_flags(Gtk::CAN_FOCUS);
  swin->set_shadow_type(Gtk::SHADOW_IN);
  swin->set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC);
  swin->add(*textview);

  // Create the button & add the close image to it
	button->set_size_request(18,18);
	button->set_relief(Gtk::RELIEF_NONE);
	button->add(*image);
	
  // Add the label and button the the tab hbox
  hbox->pack_start(*label, Gtk::PACK_SHRINK, 6);
  hbox->pack_start(*button, Gtk::PACK_SHRINK);
}

// Show all of the objects in the tab.
void NotebookTab::show_all_objects()
{
  // Show all of the objects
  textview->show();
  swin->show();
	label->show();
	image->show();
	hbox->show();
	button->show();
}
