/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef TEMPLATE_H
#define TEMPLATE_H

#include "utils.h"

#include <fstream>
#include <libxml/parser.h>

// Structure with the list of templates
struct TemplateList
{
  void load_templates();
  vector<Glib::ustring> file, title;
};

// The template of the current open project
class ProjectTemplate
{
public:
  void load_template (Glib::ustring);

  Glib::ustring get_language();
  Glib::ustring get_compile(Glib::ustring);
  Glib::ustring get_build();
  Glib::ustring get_autogen();
  Glib::ustring get_configure();
  Glib::ustring get_clean();
  Glib::ustring get_xml_attribute(Glib::ustring, xmlDocPtr&);

private:
  Glib::ustring tar, title, language, compile, build, autogen, configure, clean;
};

#endif
